Subject: Re: GHDL
From: "Gerrit P. Haase" <[email-masked]>
To: Pinhas Krengel <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Nov 2004 01:41:48 +0100

Pinhas Krengel wrote:

> GHDL is a VHDL simulator, using the GCC technology (http://ghdl.free.fr/).
> 
> Did somebody tried to build it on cygwin. I had a lot of problems.

Yes, and yes, me too.  I also reported to the maintainer that it is not
possible to bootstrap GHDL and Ada at the same time, it seems not to be
changed, maybe the package needs a new maintainer?

> From a technical point of view, GHDL is a GCC front-end: it compiles VHDL 
> files into objects files, like GCC does for C, C++, Fortran or Ada95 files. 
> GHDL does not generate intermediate C files.
> 
> GHDL is written in Ada95. I use the GNAT compiler (the GCC Ada compiler) to 
> create the binary image. The GHDL source includes AGCC, an Ada binding for 
> interfacing with GCC.
> 
> The GHDL run-time library is written in Ada95 too. It uses some of the Ada95 
> and GNAT packages.
> 
> Where can I get the right GNAT and GCC for cygwin.

The GCC is complete since version 3.3.1 was released for Cygwin, just
install the package gcc-ada with setup.exe.

Please keep me posted,
Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/